Subject: Re: IPP> Re: Root OID for IPP Printer Schema

From: James Kempf <[email-masked]>
Date: Tue, 25 Apr 2000 15:43:18 -0700 (PDT)

I think I understand now what some of the confusion around the OIDs taken
from the SLP template conversion draft might be.

I'm looking at an Internet draft, draft-sun-ldap-print-schema-00.txt,
done by Ken Jones of Sun which appears to be a Sun-specific LDAP schema for
printers, dated this Feburary. This draft has *ABSOLUTELY NOTHING* to do with 
draft-ietf-svrloc-template-conversion-05.txt, which is an official 
document of the SLP working group, on track for an informational RFC. As Ludovic 
pointed out, the fact that the OIDs were reserved means that they *WILL NOT* be 
used for anything else, and that they explicitly belong to the SLP working
group to use in the RFC. Sun won't be using them or deriving anything from them 
for any internal purpose.

If people are still uncomfortable with having Sun allocated OIDs in
the schema, I have a request pending at IANA to get a special OID
for the draft. I will not follow up on the request unless I hear
some strong voices to the contrary.

I'd also suggest that someone from the IPP group follow up with Ken
and see whether he might not be interested in using the standardized
schema (I'll try on my end as well).

		jak

---

From: Ron Bergman <[email-masked]>
Date: Tue, 25 Apr 2000 17:44:34 -0700

I favor doing what is easiest, and that is keeping the OIDs as they
are.  In the end what difference does it make where the number
was assigned.  This may not be the "pure" solution, but it is just
a number that some application has to interpret.

We tend to get into very long discussions over issues that do
not really have any long term consequences.  I suggest that
whoever (Harry and Ira?) is responsible for editing this document
make a decision and the rest of us just live with it.

    Ron Bergman
    Hitachi Koki Imaging Solutions